
_.lines.clear()


// first we need a shape that we are going to draw around
// we'll start with a square
var controlShape = new FLine().rect(50,50,500,500)

// but we want this square to be editable with the mouse
controlShape.tweaky = true
controlShape.color = [1,1,1,0.1]
controlShape.filled = true

// we'll add it to the screen
_.lines.controlShape = controlShape

// and give field an opportunity to edit it
_.applyTweaks()

// now we want to inspect some aspects of this line. For this
// we use a 'cursor'.
var cursor = controlShape.cursor()

// this is the line that we'll add our hatching instructions to
var hatch = new FLine()

// draw them translucent black
hatch.color = vec(0,0,0,0.2)

// draw 'hatch' as well
_.lines.hatch = hatch

for(var i=0;i<10000;i++)
{
	// move the cursor to a random spot along the line
	cursor.setD(cursor.lengthD()*Math.random())
	
	// find the 'normal' to the line (a line that points away from it)
	var normal = cursor.normal2()
	
	// apply noise to the normal	
	normal.noise(100).normalize()
	normal.noise(1)

	// draw a line the starts on controlShape and moves away from it
	hatch.moveTo(cursor.position()).lineTo(cursor.position()+normal*100)
}


// PROMPTS

// 0. Shape -- try a different control shape

// 1. Endotropic -- turn this code into something that points inwards rather than outwards

// 2. Process -- edit this code so that it draws the process as it unfolds (use _.wait() and _.redraw())

// 3. Noise -- modify the distribution of noise along the line


